Bug 1283222 - [QE](6.2.z)After click on Force Unlock you have to close and reopen Business Process to work with theE
[QE](6.2.z)After click on Force Unlock you have to close and reopen Business ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
high Severity high
: CR1
: 6.2.1
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks: 1288023 1295507
  Show dependency treegraph
 
Reported: 2015-11-18 08:24 EST by Kirill Gaevskii
Modified: 2016-07-31 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295507 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Need to be reopen (2.89 MB, application/ogg)
2015-11-18 08:24 EST, Kirill Gaevskii
no flags Details
Regular unlocking by user A (1.22 MB, application/ogg)
2015-11-18 09:56 EST, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-11-18 08:24:05 EST
Created attachment 1096073 [details]
Need to be reopen

Description of problem:
If user will use Force Unlock button to unlock Business Process he have to reopen the Business Process to make some changes. See Attachment.

Version-Release number of selected component (if applicable):
6.2.CR1

How reproducible:
always

Steps to Reproduce:
1. Open a Business Process and start to edit it by user A
2. Open this BP with user B and use Force Unlock button
3. Try to modify BP by user B

Actual results:
You have to reopen the Business Process

Expected results:
You can modify the project immediately.
Comment 1 Kirill Gaevskii 2015-11-18 09:55:50 EST
Update: the same situation when user A will unlock it by himself. User B also has to reload the Business Process for start modification. See attachment "Can not to modify after unlocking".

P.S. not sure maybe it is another bug not related with this one.
Comment 2 Kirill Gaevskii 2015-11-18 09:56 EST
Created attachment 1096121 [details]
Regular unlocking by user A
Comment 3 Tihomir Surdilovic 2016-01-06 17:50:09 EST
6.3.x commit: https://github.com/droolsjbpm/jbpm-designer/commit/8a144d7fa16cfd8cbd70a44b2a8a8942602640a9

please retest let us know if there is anything else for this.
Comment 4 Tihomir Surdilovic 2016-01-06 18:52:33 EST
The fix for this BZ has been done earlier as part of BZ 1283214.

Note You need to log in before you can comment on or make changes to this bug.